<?php

/**psr-4 */
require_once "vendor/autoload.php";

use App\Libreria\Conexion;
use App\Models\Item;

new Conexion();

if (!empty($_POST['tipo'])) {
    $tipo_documento = new Item();
    $tipo_documento->nombre = strtoupper($_POST['tipo']);
    $tipo_documento->grupo_id = 5;
    $tipo_documento->save();

    $_SESSION['message_success'] = 'Se añadio correctamente';
}

if (!empty($_POST['editar_tipodocumento'])) {
    $tipo_documento = Item::find($_POST['id_tipo']);
    $tipo_documento->nombre = strtoupper($_POST['editar_tipodocumento']);
    $tipo_documento->save();

    $_SESSION['message_success'] = 'Se actualizo correctamente';
}

if (!empty($_GET['accion']) and $_GET['accion'] == 'delete') {
    $tipo_documento = Item::find($_GET['tipo']);
    $tipo_documento->delete();

    $_SESSION['message_success'] = 'Se elimino correctamente';
}

header("Location: " . $_SERVER["HTTP_REFERER"]);
